curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "suno_cover",
"params": {
"audio_url": "https://example.com/song.mp3",
"prompt": "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
"suno_model": "V5",
"custom_mode": false,
"instrumental": false
},
"out_task_id": "suno_cover_123456"
}'
curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "suno_cover",
"params": {
"audio_url": "https://example.com/song.mp3",
"prompt": "[Verse]\\n街灯が雨の糸を長く引き伸ばす\\n[Chorus]\\nこの古い歌は新しい衣をまとう",
"suno_model": "V5",
"custom_mode": true,
"instrumental": false,
"title": "雨夜のカバー",
"style": "lo-fiジャズ、近接マイクのボーカル",
"vocal_gender": "f"
},
"out_task_id": "suno_cover_custom_123456"
}'
import requests
url = "https://aireiter.com/api/openapi/submit"
payload = {
"model": "suno_cover",
"params": {
"audio_url": "https://example.com/song.mp3",
"prompt": "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
"suno_model": "V5",
"custom_mode": False,
"instrumental": False
},
"out_task_id": "suno_cover_123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://aireiter.com/api/openapi/submit";
const payload = {
model: "suno_cover",
params: {
audio_url: "https://example.com/song.mp3",
prompt: "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
suno_model: "V5",
custom_mode: false,
instrumental: false
},
out_task_id: "suno_cover_123456"
};
const headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('エラー:', error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://aireiter.com/api/openapi/submit"
payload := map[string]interface{}{
"model": "suno_cover",
"params": map[string]interface{}{
"audio_url": "https://example.com/song.mp3",
"prompt": "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
"suno_model": "V5",
"custom_mode": false,
"instrumental": false,
},
"out_task_id": "suno_cover_123456",
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://aireiter.com/api/openapi/submit";
String payload = """
{
"model": "suno_cover",
"params": {
"audio_url": "https://example.com/song.mp3",
"prompt": "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
"suno_model": "V5",
"custom_mode": false,
"instrumental": false
},
"out_task_id": "suno_cover_123456"
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
<?php
$url = "https://aireiter.com/api/openapi/submit";
$payload = [
"model" => "suno_cover",
"params" => [
"audio_url" => "https://example.com/song.mp3",
"prompt" => "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
"suno_model" => "V5",
"custom_mode" => false,
"instrumental" => false
],
"out_task_id" => "suno_cover_123456"
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
require 'net/http'
require 'json'
require 'uri'
url = URI("https://aireiter.com/api/openapi/submit")
payload = {
model: "suno_cover",
params: {
audio_url: "https://example.com/song.mp3",
prompt: "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
suno_model: "V5",
custom_mode: false,
instrumental: false
},
out_task_id: "suno_cover_123456"
}
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
import Foundation
let url = URL(string: "https://aireiter.com/api/openapi/submit")!
let payload: [String: Any] = [
"model": "suno_cover",
"params": [
"audio_url": "https://example.com/song.mp3",
"prompt": "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
"suno_model": "V5",
"custom_mode": false,
"instrumental": false
],
"out_task_id": "suno_cover_123456"
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("エラー: \(error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://aireiter.com/api/openapi/submit";
var payload = @"
{
"model": "suno_cover",
"params": {
"audio_url": "https://example.com/song.mp3",
"prompt": "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
"suno_model": "V5",
"custom_mode": false,
"instrumental": false
},
"out_task_id": "suno_cover_123456"
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl;
CURLcode res;
curl_global_init(CURL_GLOBAL_DEFAULT);
curl = curl_easy_init();
if(curl) {
const char *url = "https://aireiter.com/api/openapi/submit";
const char *payload = "{\"model\":\"suno_cover\",\"params\":{\"audio_url\":\"https://example.com/song.mp3\",\"prompt\":\"雨の夜のジャズ、近接ボーカル、lo-fi に変換\",\"suno_model\":\"V5\",\"custom_mode\":false,\"instrumental\":false},\"out_task_id\":\"suno_cover_123456\"}";
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(curl, CURLOPT_URL, url);
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, payload);
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
res = curl_easy_perform(curl);
if(res != CURLE_OK) {
fprintf(stderr, "curl_easy_perform() failed: %s\n",
curl_easy_strerror(res));
}
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
curl_global_cleanup();
return 0;
}
#import <Foundation/Foundation.h>
int main(int argc, const char * argv[]) {
@autoreleasepool {
NSURL *url = [NSURL URLWithString:@"https://aireiter.com/api/openapi/submit"];
NSDictionary *payload = @{
@"model": @"suno_cover",
@"params": @{
@"audio_url": @"https://example.com/song.mp3",
@"prompt": @"雨の夜のジャズ、近接ボーカル、lo-fi に変換",
@"suno_model": @"V5",
@"custom_mode": @NO,
@"instrumental": @NO
},
@"out_task_id": @"suno_cover_123456"
};
NSError *error;
NSData *jsonData = [NSJSONSerialization dataWithJSONObject:payload
options:0
error:&error];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"POST"];
[request setValue:@"Bearer <token>" forHTTPHeaderField:@"Authorization"];
[request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
[request setHTTPBody:jsonData];
NSURLSessionDataTask *task = [[NSURLSession sharedSession]
dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
NSLog(@"エラー: %@", error);
return;
}
NSString *result = [[NSString alloc] initWithData:data
encoding:NSUTF8StringEncoding];
NSLog(@"%@", result);
}];
[task resume];
[[NSRunLoop mainRunLoop] run];
}
return 0;
}
(* cohttp と yojson ライブラリが必要です *)
open Lwt
open Cohttp
open Cohttp_lwt_unix
let url = "https://aireiter.com/api/openapi/submit"
let payload = {|{
"model": "suno_cover",
"params": {
"audio_url": "https://example.com/song.mp3",
"prompt": "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
"suno_model": "V5",
"custom_mode": false,
"instrumental": false
},
"out_task_id": "suno_cover_123456"
}|}
let () =
let headers = Header.init ()
|> fun h -> Header.add h "Authorization" "Bearer <token>"
|> fun h -> Header.add h "Content-Type" "application/json"
in
let body = Cohttp_lwt.Body.of_string payload in
let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) ->
body |> Cohttp_lwt.Body.to_string >|= fun body_str ->
print_endline body_str
in
Lwt_main.run response
import 'dart:convert';
import 'package:http/http.dart' as http;
void main() async {
final url = Uri.parse('https://aireiter.com/api/openapi/submit');
final payload = {
model: "suno_cover",
params: {
audio_url: "https://example.com/song.mp3",
prompt: "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
suno_model: "V5",
custom_mode: false,
instrumental: false
},
out_task_id: "suno_cover_123456"
};
final response = await http.post(
url,
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: jsonEncode(payload),
);
print(response.body);
}
library(httr)
library(jsonlite)
url <- "https://aireiter.com/api/openapi/submit"
payload <- list(
model = "suno_cover",
params = list(
audio_url = "https://example.com/song.mp3",
prompt = "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
suno_model = "V5",
custom_mode = FALSE,
instrumental = FALSE
),
out_task_id = "suno_cover_123456"
)
response <- POST(
url,
add_headers(
Authorization = "Bearer <token>",
`Content-Type` = "application/json"
),
body = toJSON(payload, auto_unbox = TRUE),
encode = "raw"
)
cat(content(response, "text"))
{
"statusCode": 200,
"message": "",
"data": {
"out_task_id": "suno_cover_123456",
"status": "pending",
"created_at": "2026-08-26T10:12:11.000Z"
}
}
{
"statusCode": 400,
"message": "リクエストパラメータが無効です",
"ok": false
}
{
"error": {
"code": 401,
"message": "認証に失敗しました。APIキーを確認してください"
}
}
{
"error": {
"code": 433,
"message": "アカウント残高が不足しています。チャージしてから再試行してください"
}
}
{
"error": {
"code": 500,
"message": "サーバー内部エラーが発生しました。しばらくしてから再試行してください"
}
}
Suno
Suno カバー
- 1つの公開音声を新しいスタイルでカバーし、メロディーは原曲に近いままです
- 非同期処理モードで、後続の照会用にタスク ID を返します
- 公開音声 URL を使用し、上流の clip ID は送信しません
- シンプルモードとカスタムモードをサポートします
POST
/
api
/
openapi
/
submit
curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "suno_cover",
"params": {
"audio_url": "https://example.com/song.mp3",
"prompt": "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
"suno_model": "V5",
"custom_mode": false,
"instrumental": false
},
"out_task_id": "suno_cover_123456"
}'
curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "suno_cover",
"params": {
"audio_url": "https://example.com/song.mp3",
"prompt": "[Verse]\\n街灯が雨の糸を長く引き伸ばす\\n[Chorus]\\nこの古い歌は新しい衣をまとう",
"suno_model": "V5",
"custom_mode": true,
"instrumental": false,
"title": "雨夜のカバー",
"style": "lo-fiジャズ、近接マイクのボーカル",
"vocal_gender": "f"
},
"out_task_id": "suno_cover_custom_123456"
}'
import requests
url = "https://aireiter.com/api/openapi/submit"
payload = {
"model": "suno_cover",
"params": {
"audio_url": "https://example.com/song.mp3",
"prompt": "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
"suno_model": "V5",
"custom_mode": False,
"instrumental": False
},
"out_task_id": "suno_cover_123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://aireiter.com/api/openapi/submit";
const payload = {
model: "suno_cover",
params: {
audio_url: "https://example.com/song.mp3",
prompt: "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
suno_model: "V5",
custom_mode: false,
instrumental: false
},
out_task_id: "suno_cover_123456"
};
const headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('エラー:', error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://aireiter.com/api/openapi/submit"
payload := map[string]interface{}{
"model": "suno_cover",
"params": map[string]interface{}{
"audio_url": "https://example.com/song.mp3",
"prompt": "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
"suno_model": "V5",
"custom_mode": false,
"instrumental": false,
},
"out_task_id": "suno_cover_123456",
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://aireiter.com/api/openapi/submit";
String payload = """
{
"model": "suno_cover",
"params": {
"audio_url": "https://example.com/song.mp3",
"prompt": "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
"suno_model": "V5",
"custom_mode": false,
"instrumental": false
},
"out_task_id": "suno_cover_123456"
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
<?php
$url = "https://aireiter.com/api/openapi/submit";
$payload = [
"model" => "suno_cover",
"params" => [
"audio_url" => "https://example.com/song.mp3",
"prompt" => "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
"suno_model" => "V5",
"custom_mode" => false,
"instrumental" => false
],
"out_task_id" => "suno_cover_123456"
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
require 'net/http'
require 'json'
require 'uri'
url = URI("https://aireiter.com/api/openapi/submit")
payload = {
model: "suno_cover",
params: {
audio_url: "https://example.com/song.mp3",
prompt: "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
suno_model: "V5",
custom_mode: false,
instrumental: false
},
out_task_id: "suno_cover_123456"
}
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
import Foundation
let url = URL(string: "https://aireiter.com/api/openapi/submit")!
let payload: [String: Any] = [
"model": "suno_cover",
"params": [
"audio_url": "https://example.com/song.mp3",
"prompt": "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
"suno_model": "V5",
"custom_mode": false,
"instrumental": false
],
"out_task_id": "suno_cover_123456"
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("エラー: \(error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://aireiter.com/api/openapi/submit";
var payload = @"
{
"model": "suno_cover",
"params": {
"audio_url": "https://example.com/song.mp3",
"prompt": "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
"suno_model": "V5",
"custom_mode": false,
"instrumental": false
},
"out_task_id": "suno_cover_123456"
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl;
CURLcode res;
curl_global_init(CURL_GLOBAL_DEFAULT);
curl = curl_easy_init();
if(curl) {
const char *url = "https://aireiter.com/api/openapi/submit";
const char *payload = "{\"model\":\"suno_cover\",\"params\":{\"audio_url\":\"https://example.com/song.mp3\",\"prompt\":\"雨の夜のジャズ、近接ボーカル、lo-fi に変換\",\"suno_model\":\"V5\",\"custom_mode\":false,\"instrumental\":false},\"out_task_id\":\"suno_cover_123456\"}";
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(curl, CURLOPT_URL, url);
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, payload);
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
res = curl_easy_perform(curl);
if(res != CURLE_OK) {
fprintf(stderr, "curl_easy_perform() failed: %s\n",
curl_easy_strerror(res));
}
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
curl_global_cleanup();
return 0;
}
#import <Foundation/Foundation.h>
int main(int argc, const char * argv[]) {
@autoreleasepool {
NSURL *url = [NSURL URLWithString:@"https://aireiter.com/api/openapi/submit"];
NSDictionary *payload = @{
@"model": @"suno_cover",
@"params": @{
@"audio_url": @"https://example.com/song.mp3",
@"prompt": @"雨の夜のジャズ、近接ボーカル、lo-fi に変換",
@"suno_model": @"V5",
@"custom_mode": @NO,
@"instrumental": @NO
},
@"out_task_id": @"suno_cover_123456"
};
NSError *error;
NSData *jsonData = [NSJSONSerialization dataWithJSONObject:payload
options:0
error:&error];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"POST"];
[request setValue:@"Bearer <token>" forHTTPHeaderField:@"Authorization"];
[request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
[request setHTTPBody:jsonData];
NSURLSessionDataTask *task = [[NSURLSession sharedSession]
dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
NSLog(@"エラー: %@", error);
return;
}
NSString *result = [[NSString alloc] initWithData:data
encoding:NSUTF8StringEncoding];
NSLog(@"%@", result);
}];
[task resume];
[[NSRunLoop mainRunLoop] run];
}
return 0;
}
(* cohttp と yojson ライブラリが必要です *)
open Lwt
open Cohttp
open Cohttp_lwt_unix
let url = "https://aireiter.com/api/openapi/submit"
let payload = {|{
"model": "suno_cover",
"params": {
"audio_url": "https://example.com/song.mp3",
"prompt": "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
"suno_model": "V5",
"custom_mode": false,
"instrumental": false
},
"out_task_id": "suno_cover_123456"
}|}
let () =
let headers = Header.init ()
|> fun h -> Header.add h "Authorization" "Bearer <token>"
|> fun h -> Header.add h "Content-Type" "application/json"
in
let body = Cohttp_lwt.Body.of_string payload in
let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) ->
body |> Cohttp_lwt.Body.to_string >|= fun body_str ->
print_endline body_str
in
Lwt_main.run response
import 'dart:convert';
import 'package:http/http.dart' as http;
void main() async {
final url = Uri.parse('https://aireiter.com/api/openapi/submit');
final payload = {
model: "suno_cover",
params: {
audio_url: "https://example.com/song.mp3",
prompt: "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
suno_model: "V5",
custom_mode: false,
instrumental: false
},
out_task_id: "suno_cover_123456"
};
final response = await http.post(
url,
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: jsonEncode(payload),
);
print(response.body);
}
library(httr)
library(jsonlite)
url <- "https://aireiter.com/api/openapi/submit"
payload <- list(
model = "suno_cover",
params = list(
audio_url = "https://example.com/song.mp3",
prompt = "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
suno_model = "V5",
custom_mode = FALSE,
instrumental = FALSE
),
out_task_id = "suno_cover_123456"
)
response <- POST(
url,
add_headers(
Authorization = "Bearer <token>",
`Content-Type` = "application/json"
),
body = toJSON(payload, auto_unbox = TRUE),
encode = "raw"
)
cat(content(response, "text"))
{
"statusCode": 200,
"message": "",
"data": {
"out_task_id": "suno_cover_123456",
"status": "pending",
"created_at": "2026-08-26T10:12:11.000Z"
}
}
{
"statusCode": 400,
"message": "リクエストパラメータが無効です",
"ok": false
}
{
"error": {
"code": 401,
"message": "認証に失敗しました。APIキーを確認してください"
}
}
{
"error": {
"code": 433,
"message": "アカウント残高が不足しています。チャージしてから再試行してください"
}
}
{
"error": {
"code": 500,
"message": "サーバー内部エラーが発生しました。しばらくしてから再試行してください"
}
}
AIReiter における Suno Cover のモデル名は
suno_cover です。メロディは原曲に近くなり、プロンプトでは主に曲調、ボーカル、制作面を調整します。Authorizations
string
必須
すべてのエンドポイントは Bearer Token を使用して認証する必要があります。API Key の取得:API Key 管理ページ にアクセスして、API Key を取得してください。使用する際は、リクエストヘッダーに次を追加してください:
Authorization: Bearer YOUR_API_KEY
Body
string
必須
モデル名。固定値として次を使用します:
suno_cover
object
必須
モデルパラメータオブジェクト。
表示 params オブジェクトのプロパティ
表示 params オブジェクトのプロパティ
string
必須
カバー後にどんな雰囲気にしたいか。メロディは原曲に近く、この項目で変更するのは曲調、ボーカル、制作です。カスタムモードを有効にしていて、かつインストゥルメンタルでない場合、プロンプトは歌詞として扱われます。V5 / V5.5 / V4.5 系列は最大5000文字です。
string | string[]
必須
カバー対象の音声 URL。公開アクセス可能である必要があります。配列を渡す場合は最初の項目を使用します。音声要件:
- 形式は MP3、WAV
- 長さは8分以内
- 20MB以下
string
デフォルト:"V5"
Suno バージョン:
V4V4_5V4_5PLUSV4_5ALLV5- デフォルト値V5_5
boolean
デフォルト:"false"
カスタムモードを有効にするかどうか。
false- シンプルモード。promptとaudio_urlのみで可true- カスタムモード。titleとstyleを指定する必要があります
boolean
デフォルト:"false"
インストゥルメンタルに変換するかどうか。
false- ボーカルを保持true- 伴奏のみ出力
string
デフォルト:"m"
ボーカルの性別の好み。インストゥルメンタル時は無視されます。
m- 男声、デフォルト値f- 女声
string
曲名。カスタムモードでのみ有効で、最大100文字です。
custom_mode を有効にした場合は必須です。string
新しい曲調と制作の方向性。カスタムモードでのみ有効で、最大1000文字です。
custom_mode を有効にした場合は必須です。string
必須
送信側のタスク ID。ユーザー定義のタスク識別子。必須です。英字、数字、アンダースコア、ハイフンのみ使用でき、長さは1-64文字です。後続でこの ID を使ってタスクの状態と結果を照会できます。
Response
string
発信側のタスク ID。結果の取得に使用できます。
string
初期状態。通常は
"pending" です。string
作成日時。ISO 形式。
Query Task
Suno Cover は非同期のカバー歌唱モデルです。タスクを送信した後は、out_task_id を使用してタスクの状態を照会してください。完了すると、output には通常 2 件のカバー結果が含まれ、各項目には audio、url、title、text が含まれます。
string
必須
タスク送信時に渡す発行元のタスク ID です。
curl --request POST \
--url https://aireiter.com/api/openapi/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"out_task_id": "suno_cover_123456"
}'
output の例:
{
"statusCode": 200,
"message": "",
"data": {
"out_task_id": "suno_cover_123456",
"status": "completed",
"created_at": "2026-08-26T10:12:11.000Z",
"completed_at": "2026-08-26T10:14:41.000Z",
"output": [
{
"audio": "https://s1.pxz.ai/upload/audio-generator/20260826/suno-cover-0.mp3",
"url": "https://s1.pxz.ai/upload/audio-generator/20260826/suno-cover-art-0.jpeg",
"title": "Rainy Night Jazz",
"text": "[Verse]\\nStreetlights pull the rain into long lines..."
}
]
}
}
Request Examples
curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "suno_cover",
"params": {
"audio_url": "https://example.com/song.mp3",
"prompt": "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
"suno_model": "V5",
"custom_mode": false,
"instrumental": false
},
"out_task_id": "suno_cover_123456"
}'
curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "suno_cover",
"params": {
"audio_url": "https://example.com/song.mp3",
"prompt": "[Verse]\\n街灯が雨の糸を長く引き伸ばす\\n[Chorus]\\nこの古い歌は新しい衣をまとう",
"suno_model": "V5",
"custom_mode": true,
"instrumental": false,
"title": "雨夜のカバー",
"style": "lo-fiジャズ、近接マイクのボーカル",
"vocal_gender": "f"
},
"out_task_id": "suno_cover_custom_123456"
}'
import requests
url = "https://aireiter.com/api/openapi/submit"
payload = {
"model": "suno_cover",
"params": {
"audio_url": "https://example.com/song.mp3",
"prompt": "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
"suno_model": "V5",
"custom_mode": False,
"instrumental": False
},
"out_task_id": "suno_cover_123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://aireiter.com/api/openapi/submit";
const payload = {
model: "suno_cover",
params: {
audio_url: "https://example.com/song.mp3",
prompt: "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
suno_model: "V5",
custom_mode: false,
instrumental: false
},
out_task_id: "suno_cover_123456"
};
const headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('エラー:', error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://aireiter.com/api/openapi/submit"
payload := map[string]interface{}{
"model": "suno_cover",
"params": map[string]interface{}{
"audio_url": "https://example.com/song.mp3",
"prompt": "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
"suno_model": "V5",
"custom_mode": false,
"instrumental": false,
},
"out_task_id": "suno_cover_123456",
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://aireiter.com/api/openapi/submit";
String payload = """
{
"model": "suno_cover",
"params": {
"audio_url": "https://example.com/song.mp3",
"prompt": "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
"suno_model": "V5",
"custom_mode": false,
"instrumental": false
},
"out_task_id": "suno_cover_123456"
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
<?php
$url = "https://aireiter.com/api/openapi/submit";
$payload = [
"model" => "suno_cover",
"params" => [
"audio_url" => "https://example.com/song.mp3",
"prompt" => "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
"suno_model" => "V5",
"custom_mode" => false,
"instrumental" => false
],
"out_task_id" => "suno_cover_123456"
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
require 'net/http'
require 'json'
require 'uri'
url = URI("https://aireiter.com/api/openapi/submit")
payload = {
model: "suno_cover",
params: {
audio_url: "https://example.com/song.mp3",
prompt: "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
suno_model: "V5",
custom_mode: false,
instrumental: false
},
out_task_id: "suno_cover_123456"
}
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
import Foundation
let url = URL(string: "https://aireiter.com/api/openapi/submit")!
let payload: [String: Any] = [
"model": "suno_cover",
"params": [
"audio_url": "https://example.com/song.mp3",
"prompt": "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
"suno_model": "V5",
"custom_mode": false,
"instrumental": false
],
"out_task_id": "suno_cover_123456"
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("エラー: \(error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://aireiter.com/api/openapi/submit";
var payload = @"
{
"model": "suno_cover",
"params": {
"audio_url": "https://example.com/song.mp3",
"prompt": "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
"suno_model": "V5",
"custom_mode": false,
"instrumental": false
},
"out_task_id": "suno_cover_123456"
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl;
CURLcode res;
curl_global_init(CURL_GLOBAL_DEFAULT);
curl = curl_easy_init();
if(curl) {
const char *url = "https://aireiter.com/api/openapi/submit";
const char *payload = "{\"model\":\"suno_cover\",\"params\":{\"audio_url\":\"https://example.com/song.mp3\",\"prompt\":\"雨の夜のジャズ、近接ボーカル、lo-fi に変換\",\"suno_model\":\"V5\",\"custom_mode\":false,\"instrumental\":false},\"out_task_id\":\"suno_cover_123456\"}";
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(curl, CURLOPT_URL, url);
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, payload);
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
res = curl_easy_perform(curl);
if(res != CURLE_OK) {
fprintf(stderr, "curl_easy_perform() failed: %s\n",
curl_easy_strerror(res));
}
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
curl_global_cleanup();
return 0;
}
#import <Foundation/Foundation.h>
int main(int argc, const char * argv[]) {
@autoreleasepool {
NSURL *url = [NSURL URLWithString:@"https://aireiter.com/api/openapi/submit"];
NSDictionary *payload = @{
@"model": @"suno_cover",
@"params": @{
@"audio_url": @"https://example.com/song.mp3",
@"prompt": @"雨の夜のジャズ、近接ボーカル、lo-fi に変換",
@"suno_model": @"V5",
@"custom_mode": @NO,
@"instrumental": @NO
},
@"out_task_id": @"suno_cover_123456"
};
NSError *error;
NSData *jsonData = [NSJSONSerialization dataWithJSONObject:payload
options:0
error:&error];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"POST"];
[request setValue:@"Bearer <token>" forHTTPHeaderField:@"Authorization"];
[request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
[request setHTTPBody:jsonData];
NSURLSessionDataTask *task = [[NSURLSession sharedSession]
dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
NSLog(@"エラー: %@", error);
return;
}
NSString *result = [[NSString alloc] initWithData:data
encoding:NSUTF8StringEncoding];
NSLog(@"%@", result);
}];
[task resume];
[[NSRunLoop mainRunLoop] run];
}
return 0;
}
(* cohttp と yojson ライブラリが必要です *)
open Lwt
open Cohttp
open Cohttp_lwt_unix
let url = "https://aireiter.com/api/openapi/submit"
let payload = {|{
"model": "suno_cover",
"params": {
"audio_url": "https://example.com/song.mp3",
"prompt": "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
"suno_model": "V5",
"custom_mode": false,
"instrumental": false
},
"out_task_id": "suno_cover_123456"
}|}
let () =
let headers = Header.init ()
|> fun h -> Header.add h "Authorization" "Bearer <token>"
|> fun h -> Header.add h "Content-Type" "application/json"
in
let body = Cohttp_lwt.Body.of_string payload in
let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) ->
body |> Cohttp_lwt.Body.to_string >|= fun body_str ->
print_endline body_str
in
Lwt_main.run response
import 'dart:convert';
import 'package:http/http.dart' as http;
void main() async {
final url = Uri.parse('https://aireiter.com/api/openapi/submit');
final payload = {
model: "suno_cover",
params: {
audio_url: "https://example.com/song.mp3",
prompt: "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
suno_model: "V5",
custom_mode: false,
instrumental: false
},
out_task_id: "suno_cover_123456"
};
final response = await http.post(
url,
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: jsonEncode(payload),
);
print(response.body);
}
library(httr)
library(jsonlite)
url <- "https://aireiter.com/api/openapi/submit"
payload <- list(
model = "suno_cover",
params = list(
audio_url = "https://example.com/song.mp3",
prompt = "雨の夜のジャズ、近接ボーカル、lo-fi に変換",
suno_model = "V5",
custom_mode = FALSE,
instrumental = FALSE
),
out_task_id = "suno_cover_123456"
)
response <- POST(
url,
add_headers(
Authorization = "Bearer <token>",
`Content-Type` = "application/json"
),
body = toJSON(payload, auto_unbox = TRUE),
encode = "raw"
)
cat(content(response, "text"))
{
"statusCode": 200,
"message": "",
"data": {
"out_task_id": "suno_cover_123456",
"status": "pending",
"created_at": "2026-08-26T10:12:11.000Z"
}
}
{
"statusCode": 400,
"message": "リクエストパラメータが無効です",
"ok": false
}
{
"error": {
"code": 401,
"message": "認証に失敗しました。APIキーを確認してください"
}
}
{
"error": {
"code": 433,
"message": "アカウント残高が不足しています。チャージしてから再試行してください"
}
}
{
"error": {
"code": 500,
"message": "サーバー内部エラーが発生しました。しばらくしてから再試行してください"
}
}
Mode Notes
シンプルモードでは
prompt と audio_url だけが必要です。カスタムモードでは title と style も同時に送信してください。公開アクセス可能な音声URLを指定してください。ローカルファイルは、まず公開アクセス可能な読み取り用アドレスにアップロードする必要があります。